aboutsummaryrefslogtreecommitdiff
path: root/tests/test.sh
diff options
context:
space:
mode:
authorKaren Arutyunov <karen@codesynthesis.com>2016-06-03 16:43:46 +0300
committerKaren Arutyunov <karen@codesynthesis.com>2016-06-18 15:17:29 +0300
commitb0e481a653b01e4329bccb1d101d56e3e878e960 (patch)
treebba1a4cae73ec4ece95f408e079a15d664e49927 /tests/test.sh
parent0d692ec857340a0f16a03d6a7ef38fe864a83cfc (diff)
Port to MinGW
Diffstat (limited to 'tests/test.sh')
-rwxr-xr-xtests/test.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/test.sh b/tests/test.sh
new file mode 100755
index 0000000..ce115d5
--- /dev/null
+++ b/tests/test.sh
@@ -0,0 +1,30 @@
+#! /usr/bin/env bash
+
+cur_dir="`pwd`"
+trap 'cd "$cur_dir"' EXIT
+
+export PATH=$cur_dir/../build2:$PATH
+
+function test ()
+{
+ echo "Testing $1"
+ cd "$cur_dir/$1"
+ ./test.sh
+}
+
+test "amalgam/unnamed"
+test "escaping"
+test "eval"
+test "function/call"
+test "if-else"
+test "keyword"
+test "names"
+test "pairs"
+test "quote"
+test "scope"
+test "variable/expansion"
+test "variable/null"
+test "variable/override"
+test "variable/prepend"
+test "variable/qualified"
+test "variable/type"